Energy Wizard Help

Help File - Version 4.6

Energy Wizard Overview

Energy Wizard Reporter Help | Energy Wizard Controller Help
Reporter Help Monitor Setup Help Monitor Help | Controller Help Network Editor Help Controller Setup Help Target Editor Help
Getting Started with the Wizard | Getting Started with the Controller

Contact us at sales@intech.co.nz

Visit our Web Site at http://www.intech.co.nz


Controller - Load Details

Energy Wizard Controller -Load Details

The "View Load Details" tab displays a list of the Loads and their respective status.

CC-Details.gif (11383 bytes)

Wizard Help


Controller - Manual Control

Energy Wizard Controller - Manual Control

From the "Manual Overide" tab a Load can be selected and its Manual Status can be changed.

CC-Manual.gif (10308 bytes)

To change the Manual Status of a Load take the following steps:

  1. Enter the pasword
  2. Select the Load
  3. Click on the required panel; Off, On or Auto
  4. Click on the "Accept" button

The Manual Status of the load will now be changed.

Wizard Help


Controller - Network Manual

Energy Wizard Controller -Network Editor - Manual

The Controller Network Editor - Manual tab allows the operator to change the auto\manual status of each load within their respective group.

CN-Manual.gif (11268 bytes)

To change the auto\manual status of a load first select the load and then click on the appropriate button.

Click on the Accept button to accept the changes.

Wizard Help


Controller - Network Overview

Energy Wizard Controller -Network Editor Overview

The Controller Network Editor program enables some control of the loads from a remote PC.

The remote operator is able to:

  • Change the priority of loads
  • Change the auto/manual status of loads
  • View the status of the loads

Also, if the Controller is configured for multiple control groups then the Controller Network Editor can be configured so that it will only be able to see and edit those loads that are allocated to a respective group. This is useful in simplifying the management task where multiple production managers are involved.

Once the Energy Wizard has been installed on the remote PC it must first be setup.

Click on the menu View\Setup and the following form will appear:

CN-Setup.jpg (16471 bytes)

The following can be configured from the Setup Form:

  • Network Scan Time (secs) - Set the time interval that the Controller Network Editor will update itself by accessing the respective files from accross the network. This is usually a compromise between not overloading the network if too fast and not being too slow for the operators, 30 seconds seems to be a good initial setting.
  • Default Group Number - If groups are being used then select the Group Number for this PC, otherwise leave it set to Group 1.
  • View Other Groups - This is usually only enabled if the PC is used by an administrator as it allows all of the groups to be viewed and edited.
  • Network Path - Set the network path to the same place where the Controller has its network path set.

Wizard Help


Controller - Network Priority

Energy Wizard Controller -Network Editor - Priority

The Controller Network Editor - Priority tab allows the operator to change the priority of each load within their respective group.

CN-Priority.gif (12583 bytes)

To change the priority of a load first select the load and then "Set New Priority Level" as required.

Click on the Accept button to accept the changes.

Wizard Help


Controller - Network Status

Energy Wizard Controller -Network Editor - Status

The Controller Network Editor - Status tab allows the operator to view the current status of each load within their respective group.

CN-Status.gif (12670 bytes)

Wizard Help


Controller - Overview

Energy Wizard Controller - Overview

The Energy Wizard Controller is an energy shedding package designed to control the total site's power consumption.

There are 2 criteria that the Controller controls to:

  1. Maximum Demand - The Maximum Demand value is the Target energy usage that should not be exceeded in any one period. The Maximum Demand is often expressed in units of kW or kVA but is in fact derived from the energy consumption for any one period which are in units of kW.Hrs or kVA.Hrs.
  2. Control Period - This a time of high demand for the power suppliers. Some power contracts include special penalty rates during a Control Period in exchange for lower rates outside Control Periods. A Control Period may be signalled by a ripple relay or it may be by a predetermined time schedule. During a Control Period the Controller will shed as much as possible irrespective of the site loading.

CC-Form.gif (5685 bytes)

When running the Energy Wizard Controller:

  • Displays Load Priority Information
  • Displays Load Detail Information
  • Enables Manual Overide for each load.
  • Displays the total number of loads shed
  • Displays the Target for the current period in kW.Hrs
  • Displays the Projected Energy which is the projected kW.Hrs that will have been consumed by the end of the period.
  • Displays the Used Energy. This is the kW.Hrs that has been consummed so far in this period.
  • Also the number in brackets besides the Target is the amount of loading that can be added or removed so as to meet the target by the end of the period.

Associated Files:

The following files are associated with the Energy Wizard Controller program.

  • Enwizcon.exe - Controller run time program
  • ewconset.exe - Controller Setup program.
  • *.set - Controller Setup file
  • ewconnet.exe - Controller Network Editor program
  • ewconnet.set - Controller Network Editor setup file
  • ewtarget.exe - Controller Target Editor program
  • ewtarget.set - Controller Target Editor setup file
  • VB6 Support files located in the windows system directory.

Wizard Help


Controller - Shed Priority

Energy Wizard Controller - Load Priority

The "View Priority Details" tab displays a list of Priority Levels, which Loads are allocated to them and which of those Loads are shed.

CC-Priority.gif (11561 bytes)

Wizard Help


Controller - Target Editor

Energy Wizard Controller -Target Editor

The Controller Target Editor program is where the targets are set for the Energy Wizard Controller.

The target is a 7 day rotating target with a setable value for each period.

Please note that the target is in kW.hrs being the maximum amount of energy that is to be used in the period. (For a half hour period this will equate to half the maximum demand, maximum demands being specified in kW.)

TAR-main.gif (12957 bytes)

Sometimes Power Suppliers will allow their consumers to increase their targets outside the peak periods as shown in the example above. However most often one Target value is used for every period. When this is the case then use the copy and paste commands to copy one value to the whole day and then to copy a whole day to another day.

Wizard Help


Controller Setup - General - Control Period

Energy Wizard Controller Setup - General - Control Period

Start the Controller Setup program, click on the main "General" tab and then on the minor "Control Period" tab.

A Control Period is signalled when the energy supplier is experiencing a high energy consumption.

On some energy contracts the energy consumed during a control period is charged at a very high rate whilst the energy consumed outside the control period is charged at a lower rate.

Therefore, for this type of contract it is often desired to shed all available loads during a Control Period.

A Control Period is either signalled by a ripple relay which is activated by the energy supplier or is during an agreed upon schedule.

For the Controller to determine if it is a control period it gets the signal from a line on the MicroScan Recorder.

The Control Period can be set up in two different ways so that during a Control Period either:

  1. All available loads are shed.
  2. or The Target is replaced with a Control Period Target.

The first form shows the setup for 1. All available loads are shed.

CS-Gen-ConPer1.jpg (36505 bytes)

To setup option 1. All available loads are shed.

  • Select Control Period Type: Set this option to "Shed all CP loads"
  • Select Control Period Input: Select the MicroScan input that has the Control Period signal
  • Release Loads Slowly: For loads that have been shed by a Control Period, when the Control Period is over we can choose to either unshed them all at once by setting NO, or to unshed them slowly by setting YES.
  • Sense of Inputs: N/O means 1 = Control Period is ON, N/C = Control Period is OFF.

The second form shows 2. The Target is replaced with a Control Period Target.

CS-Gen-ConPer2.jpg (42327 bytes)

To Setup 2. The Target is replaced with a Control Period Target.

  • Select Control Period Type: Set this option to "Change to CP Target"
  • Select Control Period Input: Select the MicroScan input that has the Control Period signal
  • Select Warning Period Input: Select the MicroScan input that has the Warning Period signal. The Warning Period signal is used to compensate for a slow response time from a plant to shed load. It does this by changing to the Control Period Target as soon as the Warning Period is signaled but providing it is in the first Part of the Period as indicated by the "Enter Warning Time" option.
  • Enter Warning Time: Select the number of minutes from the start of the Period for which the Warning Period will be active.
  • Enter Control Period Target: Enter the Target required during a Control Period.
  • Release Loads Slowly: For loads that have been shed by a Control Period, when the Control Period is over we can choose to either unshed them all at once by setting NO, or to unshed them slowly by setting YES.
  • Sense of Inputs: N/O means 1 = Control Period is ON, N/C = Control Period is OFF.

Wizard Help


Controller Setup - General - Energy

Energy Wizard Controller Setup - General - Energy

Start the Controller Setup program, click on the main "General" tab and then on the minor "Energy" tab.

CS-Gen-Energy.gif (9477 bytes)

  • Units: Set the units that are being used by the Controller, either kW or kVA
  • Demand Period (mins): Select the number of minutes that are in the Demand Period. This is the period that the power supplier totalises energy into.
  • Send Target ToTag: Select the MicroScan Input Tag to send the current Target to. The MicroScan Input Tag should be set to "no scan analogue". Select "0" to disable.
  • Send Instantaneous Target To Tag: Select the MicroScan Input Tag to send the Instantaneous Target to. The MicroScan Input Tag should be set to "no scan analogue". Select "0" to disable. The Instantaneous Target is a percentage of the Target by how far through the period it is. So for a Target of 50, at the start of the period the Instantaneous Target = 0, half way through the period the Instantaneous Target = 25 and at the end of the period the Instantaneous Target = 50.
  • Used Energy From: Select the MicroScan Recorder, Page and Line that is displaying the amount of energy used by the site for the current period. The Recorder Line's value will be set by the Energy Wizard Monitor.
  • No of scans for averaging rate of use: Set the number of scans for averaging the rate of use of the Used Energy. Because electricity consumption is most often not smooth it is necessary to average its rate of use. Generally the smoother the consumption the less averaging required. However by experience it would appear that 4 or 5 is a good starting point.

Wizard Help


Controller Setup - General - Network

Energy Wizard Controller Setup - General - Network

Start the Controller Setup program, click on the main "General" tab and then on the minor "Network" tab.

CS-Gen-Network.gif (8365 bytes)

The Network settings are used in conjunction with the Energy Wizard Network Editor.

  • Set the network path where the network files can be seen by all Energy Wizard PC's.
  • Net Transfer Time: Set the time in seconds that the network files will be updated.
  • Enable Network Setup File: Check this option to enable.

Wizard Help


Controller Setup - General - Priority

Energy Wizard Controller Setup - General - Priority

Start the Controller Setup program, click on the main "General" tab and then on the minor "Priority Levels" tab.

CS-Gen-Priority.gif (11124 bytes)

Priority Levels are used so that non essential loads are shed first and more essential loads are shed last. Those loads set to the highest level will be shed first and those loads set to level 1 will be shed last. Those loads set to level 0 will only be shed during a Control Period.

Groups are only used when the site is made up of more than one factory or area and where individual production managers need to be able to manage their own loads.

Under these conditions set up a group for each area giving it a meaningful name, otherwise ignore the group setup area.

The "Priority Levels" tab has the following settings:

  • Total Number Of Priority Levels: Set the maximum number of Priority Levels you require. Have just enough so that loads can be separated into their order of importance.
  • Group List: Select the Group to edit.
  • Group Name: Enter the name for this Group.
  • Min Loads to be set to Highest Level: This is included to prevent production managers from setting all of their loads to a level that is shed last. Set this to a value that requires at least that number of loads to be set to the level that is first shed. If set to "0" then this feature is disabled.
  • Min Loads to be Available To Shed: This is included to prevent production managers from setting all of their loads to Manual-ON so that they never shed. Set this value to the number of loads that must be available for shedding, that is, loads that are set to AUTO.

Wizard Help


Controller Setup - General - Target

Energy Wizard Controller Setup - General - Target

Start the Controller Setup program, click on the main "General" tab and then on the minor "Targets" tab.

The Targets cab be set up in two different ways:

  1. 7 Day Rotating Target - This is the safer option in that the Target is fixed to the schedule of Targets in the Target File.
  2. An Average of the Highest Peaks - This option is more interactive with the site Peak, however it does run the risk of continually exceeding the Target if the response time of the site is too slow. If this happens then a NEW Target will be calculated based on an average of the highest peaks, which because of this latest peak will be higher.

CS-Gen-Targets1.jpg (41472 bytes)

1. 7 Day Rotating Target

  • Select the Target Type: Set this to "7 Day Rotating Target"
  • Target File Name: Set the Target File Name. As default it will be set to "ewtarget.dat" in the Microscan directory.
  • Target Alarm: Select a MicroScan Output Tag to be used for alarming. The Target Alarm is designed to give early warning should the site usage begin to approach the Target.
  • Alarm Deviation from Target: Set the deviation from Target value.

CS-Gen-Targets2.jpg (39442 bytes)

2. Targets based on average of highest peaks.

  • Select the Target Type: Set this to "Average of ? Peaks"
  • Target Alarm: Select a MicroScan Output Tag to be used for alarming. The Target Alarm is designed to give early warning should the site usage begin to approach the Target.
  • Alarm Deviation from Target: Set the deviation from Target value.

Wizard Help


Controller Setup - General - Time Periods

Energy Wizard Controller Setup - General - Time Periods

Start the Controller Setup program, click on the main "General" tab and then on the minor "Time Periods" tab.

CS-Gen-Time.gif (9329 bytes)

The Controller has 3 different Time zones within each Demand Period.

  1. No Action time - This is the very first time zone in the Demand Period during which loads are not shed or unshed unless they are Once-Shed-Stay-Shed loads which are all unshed. The Once-Shed-Stay-Shed loads must be unshed during this time as it is the only time in which they can be released. All of the other loads are held in their existing states so as to prevent cycling of the control and to give the Controller some time to settle into the new Demand Period. The No Action time would normally be set to about 5 minutes.
  2. Passive Shed time - This is the second time zone in the Demand Period. During this time loads may be unshed and only loads which are not running may be shed which is effectively preventing them from starting. So during the Passive Shed time the Controller will not shed any loads that are running.
  3. Active Shed time - This is the last time zone in the Demand Period during which loads are shed and unshed.

The "Time Period" tab has the following settings:

  • Passive Shed Time From Period Start (mins): This is the time in minutes from the start of the period that the Passive Shed time starts. It is also the length of the No Action time zone which startd at the start of the period and ends at the start of the Passive Shed time.
  • Active Shed Time From Period Start (mins): This is the time in minutes from the start of the Period that the Active Shed time starts. This means that the length of the Passive Shed time can be calculated as (ActiveShedTimeStart - PassiveShedTimeStart). Similarly the length of the Active Shed time can be calculated as (PeriodLength - ActiveShedTimeStart).
  • Number of loads released every scan: When the Controller is able to release many loads that have been shed it may cause a problem with the main supply if all of the loads are released at one time. To overcome this it is possible to set the Controller so that it will release loads slowly. To do this select the number of loads which may be released every time the Controller scans.
  • Controller Scan Time (Secs): This is the time in seconds that the Controller waits before updating itself with the latest information. Usually 30 seconds is a good place to start.

Wizard Help


Controller Setup - General - User Info

Energy Wizard Controller Setup - General - User Info

Start the Controller Setup program, click on the main "General" tab and then on the minor "User Info" tab.

CS-Gen-User.gif (9517 bytes)

The "User Info" tab has the following settings:

  • User ID Label: Enter the company name
  • Auto Load Changes To Setup File: Select "When they are made" to have the changes implemented immediately, otherwise select "Only at the start of a new period".
  • Run The Controller in Demonstration Mode: Only check this option if running the Controller in Demonstration Mode, otherwise leave this option unchecked. In Demonstration Mode the inputs and outputs are disabled.

Wizard Help


Controller Setup - Load - General

Energy Wizard Controller Setup - Load - General

Start the Controller Setup program, click on the main "Load Data" tab and then on the minor "General" tab.

CS-Load-General.jpg (52441 bytes)

From the list of loads on the left hand side select the load to be edited.

The following options are available for setting:

  • Load Name: Enter the name for this load
  • Group Name: If using Groups then select the appropriate group, otherwise ignore this setting.
  • Reference Line: To be able to track the decision making process of the Controller for this load, each decision has been given a coded number as listed below. By selecting a Recorder Line or Microscan Tag the decisions can be recorded. The coded numbers are as follows:

1. Load not enabled. Unshed Load.
2. Load not enabled. Unshed Load next time.
3.0. Load not enabled. Load is Unshed.
3.1. Load not enabled. Can Unshed in ?? secs
4. Load is running. Cannot be shed.
5. Manual Control = OFF. Shed Load"
6.0. Manual Control = OFF. (Always Shed)"
6.1. Manual Control = OFF. Can Shed in ?? secs
7. Manual Control = ON. Unshed Load.
8. Manual Control = ON. Unshed Load next time.
9.0. Manual Control = ON. (Always Unshed).
9.1. Manual Control = ON. Can Unshed in ?? secs
10. Control Period. Shed Load.
11.0. Control Period. Load is shed.
11.1. Control Period. Can Shed in ?? secs
Control Period ended. Unshed Load.
13. Control Period ended. Unshed Load next time.
14. Control Period ended. Can Unshed in ?? secs
15. Priority Level 0. Unshed Load.
16. Priority Level 0. Unshed Load next time.
17.0. Priority Level 0. Load is Unshed.
17.1. Priority Level 0. Can Unshed in ?? secs
18. Once Shed Stay Shed. Unshed Load for No Shed Pd.
19. Once Shed Stay Shed. Unshed Load for No Shed Pd next time.
20.0. Once Shed Stay Shed. Load is Shed.
20.1. Once Shed Stay Shed. Can Unshed in ?? secs
20.2. Once Shed Stay Shed. Cannot Unshed until new period.
21. Load is Inhibited. Unshed Load.
22. Load is Inhibited. Unshed Load next time.
23.0. Load is Inhibited. Load is Unshed.
23.1. Load is Inhibited. Can Unshed in ?? secs
24. Load is Shed. Can Unshed.
25. Load is Shed. Can Unshed in ?? secs
26. Load is Unshed. Can Shed.
27. Load is Unshed. Can Shed in ?? secs
28. Wait. Can Shed. No change in wait period.
28. Wait. Can Unshed. No change in wait period.
30. No Shed Pd. Can Shed. No change in this period.
31. No Shed Pd. Can Unshed. No change in this period.
32. Passive Pd. Can Shed. No requirement to Shed.
33. Passive Pd. Can Unshed. No requirement to Shed.
34. Passive Pd. Can Shed. Load is Running, do not shed.
35. Passive Pd. Can Unshed. Load is Running, do not shed.
36. Passive Pd. Can Shed. Need to shed, Shed Load.
37. Passive Pd. Can Unshed. Need to shed but load is Shed.
38. Active Pd. Can Shed. No requirement to Shed or Unshed.
39. Active Pd. Can Unshed. No requirement to Shed or Unshed.
40. Can Shed but Target = 0. No Action.
41. Can Unshed but Target = 0. No Action.
50. Active Pd. Can Unshed. Unshed all on level.
51. Active Pd. Can Unshed. Unshed all on level next time.
52. Active Pd. Can Unshed. Unshed, is best fit for Unshed.
53. Active Pd. Can Unshed. Is best fit for Unshed next time.
54. Active Pd. Can Shed. Not Reqd for Unshed.
55. Active Pd. Can Unshed. Not reqd for Unshed.
70. Active Pd. Can Shed. Shed all on level.
71. Active Pd. Can Shed. Shed, is best fit for Shed.
72. Active Pd. Can Shed. Not reqd for Shed.
73. Active Pd. Can Unshed. Not Reqd for Shed.

  • Shed Relay Input: Select the input that gives the feed back of the state of the Shed Relay
  • Shed Relay Output Tag: Select the Output Tag that is configured to the Shed Relay
  • Enabled: Check this option to enable this load

Wizard Help


Controller Setup - Load - Inhibit

Energy Wizard Controller Setup - Load - Inhibit

Start the Controller Setup program, click on the main "Load Data" tab and then on the minor "Inhibit" tab.

CS-Load-Inhibit.jpg (48143 bytes)

The Inhibit facility is one of the most important facilities in the Controller as it gives some protection to the product. For example if a cool store is getting too warm then the inhibit can mark the load as being NOT available for shedding which will release it if it is already shed, or will prevent it from being shed if it is not yet shed.

IMPORTANT: The Energy Wizard Controller should not be the master control responsible for the protection of the product. Other safety devices should be employed that are able to over-ride the Energy Wizard Controller for the protection of the product should some malfunction occur.

From the list of loads on the left hand side select the load to be edited.

The following options are available for setting:

  • Enable Shed Inhibit: Check this option to enable the inhibit facility.
  • Get Condition From: Select the Recorder Line or MicroScan Tag for the condition of the load, for example this could be the temperature of the cool store.
  • Set Point: Enter the set point above or below which the load must be inhibited.
  • Must Not Be Shed If Above Set Point: Select the appropriate option; "Must Not Be Shed If Above Set Point" for a cooling process or a"Must Not Be Shed If Below Set Point" if a heating process.
  • Once Shed Stay Shed: Check this option so that the load, if shed, will stay shed until the end of the period. This is most often used on larger, more complicated loads like assembly lines that are not so easy to start and stop. Once Shed Stay Shed loads are always forced to unshed at the start of a new period.
  • Always Shed In a Control Period: Check this load if it is to be shed in a Control Period.
  • Do Not Shed If Running: Check this option to prevent the load from being shed if it is already running. This option is most often used on batch type loads that must be finished once they are started. An example of this would be a curing or baking process.

Wizard Help


Controller Setup - Load - Load Size

Energy Wizard Controller Setup - Load - Load Size

Start the Controller Setup program, click on the main "Load Data" tab and then on the minor "Inhibit" tab.

CS-Load-Size.jpg (46643 bytes)

The load size is used to calculate which loads should be shed. This is done by using all of the available load sizes in an algorithim that finds the best combination of load sizes to shed for the given requirement.

From the list of loads on the left hand side select the load to be edited.

The following options are available for setting:

  • Use Preset Load Size: Check this option to specify the size of the load. If the load size varies and there is a power transducer for it that is wired in to MicroScan then uncheck this option so that the actual load size can be read directly.
  • Get Load Size Input From: Select the Recorder Line or MicroScan Tag that has the size of the load. This option is only available if the "Use Preset Load Size" option is not checked.
  • "Multiply Input To Give kW/kVA By: Enter the multiplication or scale factor as required. This is most often set to 1 or to the site power factor. This option is only available if the "Use Preset Load Size" option is not checked.
  • Set Load Size to: Set the size of this load. If an estimate of the load size is being used then setting a slightly smaller load size would be preferable to prevent hunting. This option is only available if the "Use Preset Load Size" option is checked.

Wizard Help


Controller Setup - Load - On / Off

Energy Wizard Controller Setup - Load - On / Off

Start the Controller Setup program, click on the main "Load Data" tab and then on the minor "On / Off" tab.

CS-Load-OnOff.jpg (46856 bytes)

Here we can select 3 different options to determine if a load is running:

  • Assume Load Is Always Running: This option is used if there is no signal from the load. However if there is a choice it is better to have a live indication of the run state as it makes for a faster shedding response time.
  • Determine If Running From Input: Select this option if there is a run signal from the load and then select the run signal from either a Recorder Line or a MicroScan Tag.
  • Input Sense: Select N/O if 1 = Run
  • Determine if Running from Load Size: Select this option if there is no run signal input but there is a load size input. If this is so then it may be possible to determine if the load is running by the load size input.
  • Load is Running If Above: Set the load size value above which the load may be assumed to be running.

Wizard Help


Controller Setup - Load - Set Priority

Energy Wizard Controller Setup - Load - Set Priority

Start the Controller Setup program, click on the main "Load Data" tab and then on the minor "Set Priority" tab.

CS-Load-Priority.gif (13206 bytes)

If a load is available for shedding there are two methods that are used to decide if it should be shed.

The first method is to consider what Priority Level it is on. The highest Priority Level is the first to be shed. Priority Level 1 is the last to shed and loads on Priority Level 0 are only shed in a Control Period.

The second method is to select the loads from within a Priority Level based on one of two sub-methods. The first sub-method is "Best Fit By Load Size" where the loads are sumed in various combinations to find the combination that best fits the shedding requirement. The second sub-method is "Best Fit By Condition" where the selection is based on the loads that have the most stored capacity are the loads that get shed first. The second sub-method can only be used on loads that have the Inhibit enabled. The stored energy is calculated on the difference between the Inhibit Set Point and the Inhibit Condition. This is often used on cool stores.

The following options are available for setting:

  • Set to Priority Level: Select the required Priority Level.
  • Select Best Fit Method: Select the required option. It is preferable, but not essential, to restrict a Priority Level to only one Best Fit Method. However if a Priority Level has loads with both Best Fit Methods then the loads set to "Best Fit By Condition" will be shed first.

Wizard Help


Controller Setup - Load - Time

Energy Wizard Controller Setup - Load - Time

Start the Controller Setup program, click on the main "Load Data" tab and then on the minor "Time" tab.

CS-Load-Time.gif (11288 bytes)

The following options are available for setting:

  • Minimum Time For Load To Be Stopped: Set the minimum amount of time for this load to be stopped. This is to assist in motor protection.
  • Minimum Time For Load To Be Running: Set the minimum amount of time for this load to be running. This is to assist in motor protection.

Wizard Help


Controller Setup Overview

Energy Wizard Controller Setup - Overview

The Energy Wizard Controller Setup program comprises two main sections each having sub-sections as follows:

1. General - Set the general options.

  • Energy
  • Time Periods
  • Control Periods
  • Priority Levels
  • User Info
  • Targets
  • Network

2. Load Data - Set the options for each load.

  • General
  • Inhibit
  • Load Size
  • Set Priority
  • On / Off Indication
  • Time Delays

Wizard Help


Getting Started - Energy Wizard Controller

Getting Started with the Controller

The Energy Wizard Controller software consists of 4 programs:

  1. Energy Wizard Controller - This is the main run time program that makes all of the load shedding decisions.
  2. Energy Wizard Controller Setup - Setup program for the Controller.
  3. Energy Wizard Controller Network Editor - Enables Production Managers in areas remote from the main computer to have control over their own loads.
  4. Energy Wizard Controller Target Editor - Set the site Maximum Demand target on a repeating 7 day per period basis.

If you have just installed the Energy Wizard and wish to set it up for the first time, take the following steps:

  • First setup the Energy Wizard Monitor
  • Load the Controller Setup program
  • Complete the Controller General setup.
  • Complete each Load Data setup.
  • Exit the Controller Setup program.
  • Add the Controller to the MicroScan2000 Auto Start/Stop facility as detailed below.

Auto Start/Stop with MicroScan2000
Start the MicroScan Setup Manager and click on the "Admin Tools" button.

From the "Administration Tools" form click on the button "Accessory Files". Enter the data into the "Accessory Files" form as detailed below:

Getting_Started_Controller_1.jpg (25307 bytes)

Once all of the entries have been made into the "Accessory File" click on the "OK" button, this will take you back to the "Administration Tools" form. Click on the "Close" button to get back to the MicroScan Setup Manager main form.

From the MicroScan Setup Manager main form click on the "System Setup" button. The "System Settings" form will appear similar to the one below:

Getting_Started_Controller_2.jpg (54080 bytes)

Under the "Accessories" heading make sure that both the Energy Wizard Monitor and Controller programs are ticked.
Click on the "OK" button to confirm.

Now both the Energy Wizard Monitor and Controller programs will start and stop with the Autoloader.

For the Energy Wizard Monitor and Controller programs to run you will need to have the correct setting enabled in the Intech Dongle, and have the Intech Dongle fitted to one of the parallel ports of the PC.

Wizard Help


Getting Started - Energy Wizard Reporter

Getting Started with the Wizard

The Energy Wizard Reporter software consists of 3 programs:

  1. Energy Wizard Setup - Setup program for both the Monitor and the Reporter.
  2. Energy Wizard Monitor - Monitors energy consumption and stores the data in a store file for the Reporter to analyse. Typically the Monitor starts automatically with the MicroScan2000 scada.
  3. Energy Wizard Reporter - Prepares Energy Reports

If you have just installed the Energy Wizard and wish to set it up for the first time, take the following steps:

  • Load the Energy Wizard Setup program.
  • Complete the General setup.
  • Complete the Supplier setup.
  • Complete the Tag setup.
  • Complete the Cost Center setup.
  • Save the setup.
  • Exit the Energy Wizard Setup program.
  • Add the Monitor to the MicroScan2000 Auto Start/Stop facility as detailed below.

Auto Start/Stop with MicroScan2000
Start the MicroScan Setup Manager and click on the "Admin Tools" button.

From the "Administration Tools" form click on the button "Accessory Files". Enter the data into the "Accessory Files" form as detailed below:

Getting_Started_Wizard_1.jpg (23253 bytes)

Once all of the entries have been made into the "Accessory File" click on the "OK" button, this will take you back to the "Administration Tools" form. Click on the "Close" button to get back to the MicroScan Setup Manager main form.

From the MicroScan Setup Manager main form click on the "System Setup" button. The "System Settings" form will appear similar to the one below:

Getting_Started_Wizard_2.jpg (52950 bytes)

Under the "Accessories" heading make sure that the Energy Wizard Monitor program is ticked.
Click on the "OK" button to confirm.

Now the Tag Monitor program will start and stop with the Autoloader.

For the Energy Wizard Monitor program to run you will need to have the correct setting enabled in the Intech Dongle, and have the Intech Dongle fitted to one of the parallel ports of the PC.

Energy Wizard Reporter

Generaly the Energy Wizard Monitor will need to run for a whole calander month before serious reporting is done. However to view data in the Energy Wizard store file, and for preliminary reports, start the Energy Wizard Reporter and open the current store file. The store file names are described in the General Setup section.

Wizard Help


Energy Wizard Monitor

Energy Wizard Monitor - Overview

Start the Energy Wizard Monitor program. The following form will appear.

Overview of the Energy Wizard Monitor program.

The Energy Wizard Monitor program is responsible for the collation and integration of energy data, and for storing that data into a store file.

It is designed to run continuously and can be setup so that it automatically starts with the MicroScan2000 Scada.

Before starting the Energy Wizard Monitor all of the setups in the Energy Wizard Setup program should be completed.

On startup the colour of the text in the bottom panels will be red so as to indicate that the Energy Wizard Monitor has just been started and that the data for the current period may be inaccurate. All such data will be marked as 'Outage' data in the Energy Wizard Reporter. At the start of the next period the colour of the text will change to blue, as shown above, so as to indicate good data.

Energy Wizard Monitor Form

The Energy Wizard Monitor form consists of the following items:

Menu: Options - Start Setup - Starts the Energy Wizard Setup program.

Menu: Options - Start Reporter - Starts the Energy Wizard Reporter program.

Menu: Options - About - Displays the Energy Wizard Monitor's About Dialog Box.

Menu: Options - Exit - Exits the Energy Wizard Monitor program. If passwords are enabled then a password is requested before exiting.

Spreadsheet: Column 'No' - Displays the Energy Wizard Tag number.

Spreadsheet: Column 'Name' - Displays the name of the Energy Wizard Tag

Spreadsheet: Column 'Current Data' - Displays the instantaneous reading of the data for the respective Energy Wizard Tag.

Spreadsheet: Column 'Integrated Data' - Displays the integrated data for the respective Energy Wizard Tag. These values will increase as energy is consumed during a period, and then be reset to zero at the start of a new period.

Spreadsheet: Column 'Tag Type' - Displays the Tag Type.

Spreadsheet: Column 'Rate' - Displays the average rate of instantaneous energy consumption as calculated by the Energy Wizard Monitor. The average is as set in the General setup.

CSV Files for updating energy data.

Sometimes there is a requirement to update Energy Wizard Store files with data from another source. To facilitate this, the Energy Wizard Monitor creates a subdirectory '\ewcsvlog' under its own directory where it checks for CSV files. For example if the Energy Wizard Monitor is installed into the 'c:\in2000' directory then it would check for CSV files in the 'c:\in2000\ewcsvlog\' directory.

Any file with a *.csv extension that is placed into this directory will be checked by the Energy Wizard Monitor. The checking process takes the following steps:

  1. Read each line.
  2. Check to see if the current line has good data in it. That means data that is in an expected format as described below.
  3. If the the data is OK then it is added to the appropriate store file. Note that data is not limited to the current month.
  4. When finished the Energy Wizard Monitor deletes the *.csv file and adds a single line report to the file 'c:\in2000\ewcsvlog\ewcsvlog.log'.

The format of the CSV file is very important and must follow the format detailed below. Note that there is no header or footer in the CSV file. The first data is placed on the first line in the CSV file with the other data being placed on the immediately following lines.

CSV File Format

Year,Month,Day,Period,Tag,Value

CSV File Example

1998,03,25,1,1,26.37

1998,03,25,2,1,35.6

etc.

Command Line Switches

The Energy Wizard Monitor supports the following command line switches:

/CSV The CSV command line switch will force the Energy Wizard Monitor to start in CSV Mode Only. This means that it will not attempt to scan for data other than from *.csv files.

/LOG The LOG command line switch will enable the Energy Wizard Monitor to save all of the instantaneous data read by it to a file 'enrgymon.log'. This file will be located ion the same directory as the Energy Wizard Monitor program, typically the C : \ IN2000 directory.

Wizard Help


Energy Wizard Setup - Cost Centers

Start the Energy Wizard Set-up program, click on the large button 'Cost Centers'. The following will be displayed.

The Cost Centers available in the Energy Wizard have the following functionality:

  • Cost Centers support multiple energy forms, this means multiple Suppliers.
  • Each Cost Center is restricted to only one Supplier or energy form.
  • Each Cost Center is assigned a Supplier.
  • When adding an Energy Wizard Tag to a Cost Center it must be assigned the same Supplier as the Cost Center.
  • Cost Center 0 is a fixed Cost Center which defaults to an assigned Supplier of Supplier 1.
  • The first Cost Center for each Supplier is the "Main Cost Center" for that Supplier.
  • The Main Cost Center(s) are assigned the FULL fixed charges.
  • Sub Cost Centers are those Cost Centers that exist after the Main Cost Center for the same respective Supplier.
  • If setup for proportioning, the fixed charges are proportioned from the Main Cost Center to the Sub Cost Centers.
  • For Cost Centers from 1 and above, an Energy Wizard Tag can be assigned to only one Cost Center other than the Main Cost Center 0.

Set-up as follows:

  • Cost Center: - Select the Cost Center you wish to edit.
  • Name: - Enter the name you wish to assign to this Cost Center.
  • Supplier: - Select the Supplier you wish to assign to this Cost Center.
  • Enable: - Check the check box to enable this Cost Center.
  • Tags Assigned to Cost Center: - Add the tags into this list box which you wish to assign to this Cost Center.
  • Tags Available to Cost Center: - Refer here to the list of tags still available to be assigned to this Cost Center.


Energy Wizard Setup - General - Cost Centers Tab

Start the Energy Wizard Setup program, click on the large button 'General Setup'. When the 'General Setup' form appears click on the 'Cost Centers' tab. The following will be displayed.

Setup as follows:

  • Maximum Number of Cost Centers: - Set the maximum number of cost centers that you require. Please note that once the Energy Wizard store file has been created then the number of available cost centers for that month cannot be changed. This is because the maximum number of Cost Centers is burnt into each months store file when the file is created. Once it has been burnt in, it can not be changed.


Energy Wizard Setup - General - General Tab

Start the Energy Wizard Setup program, click on the large button 'General Setup'. The following form will appear.

MonSet_Gen_General.jpg (35600 bytes)

Setup As Follows:

  • Company Name: - Enter in the Company Name of the end user. This name will be printed out on the reports and will also appear in the title bar of the main forms at run time.
  • Store Filename: - Enter the full path and file name of the Energy Wizard store files. Usually these are stored in the c:\in2000 directory. Note that the store filename above is 'DemoXXXX.MAG'. Replace the 'Demo' part with a descriptive name for the end user, for example, for Intech Instruments Ltd the whole filename could be 'C:\IN2000\INTCXXXX.MAG. Note that the 'XXXX' part and the 'MAG' part stay the same. The 'XXXX' part is reserved for the year and month for which the store file is valid. The 'MAG' part never changes as all Energy Wizard store files have a 'MAG' extension. Using the above example, a store file for Intech Instruments Ltd for March 1998 would be C:\IN2000\INTC9803.MAG.
  • Recorder Display Type: - Select the degree of averaging required to be applied to the Recorder Display Tags. That is, often when using pulse inputs the pulses do not come consistently each time the Energy Wizard Monitor scans. Therefore when the rate of usage is calculated by the Monitor, the answer can be quite erratic. But by averaging the calculated rate of usage over the last so many times the Monitor has scanned, a more meaningful trend can be obtained.
  • Currency: - Select the currency symbol applicable for your country.
  • Demand Period: - Select the number of demand periods that the end user is subjected to by their energy supply company. The options are; 24 demand periods per day (Each being one hour in duration), 48 demand periods per day (each being a half an hour in duration) and 96 demand periods per day (each being a quarter hour in duration).
  • Scan Time (secs): - Set the time interval at which you wish the Energy Wizard Monitor to scan its input data. Generally this is set to 30 seconds. If set too fast then it may add too much overhead on the computer and slow it down.
  • Auto Close if Scada is Not Running: - If this option is checked then the Energy Wizard Monitor will automatically close itself when the MicroScan2ooo Scada closes or is not running.
  • Energy Wizard Lite: - If you have purchased an Energy Wizard Lite version click on this check box. Although not mandatory it will simplify the setup process. When checked, the setup program limits the setup to only one Energy Supplier. This is in keeping with the Energy Wizard Reporter, which, when it opens a Lite version store file will restrict usage to only one Energy Supplier.
  • Monitor in Demo Mode: - Select this option only if you wish to start the Monitor in Demo mode. Demo mode will not create or write to a store file and generate random data for demonstration purposes.
  • Backup Directory: - Enter a valid directory to copy the Energy Wizard Store file at the end of each period.


Energy Wizard Setup - General - Misc Tab

Start the Energy Wizard Setup program, click on the large button 'General Setup'. From the General Setup form select the "Misc" tab and the following screen will appear.

MonSet_Gen_Misc.gif (7858 bytes)

Setup As Follows:

PC Clock Sync

The PC Clock Sync enables the PC Clock to be syncronised with a half-hour pulse from the main power meter. Ideally the half hour pulse would be wired into an input which increments a counter on every pulse, the counter being reset to zero when a pre-determined total is reached. Then the counter would begin counting again. In operation, the Energy Wizard monitor will only correct the PC Time if a change in the pulse count value occurrs within plus/minus 5 minutes of the hour. Please note that no action is taken at the half hour. If the change does occurr within 5 minutes of the hour, then the PC Clock will be set to that hour plus the number of secounds set in the "Set Offset (secs)" option. This is to allow for delays from scan update times. To see a log of when the PC Clock was adjusted refer to the file Enrgymon_PC_Clock.log which will be located in the same directory as the Energy Wizard Monitor.

  • Select Input Tag: - Select the MicroScan Input Tag that is getting the Pulse Count of the 1/2 hour time signals.
  • Set Offset (secs): - Select the number of seconds you wish to offset the time by so as to allow for the delay in scan times etc. For example if the time is 5:02:23 and a new pulse count is determined by the Energy Wizard Monitor and the Set Offset is set to 5 seconds, then the PC Clock would be set to 5:00:05. Note the "Offset" of 5 seconds after the hour.

Monitor WatchDog

The monitor watch dog is provided to gaurd against accidental closing of the Energy Wizard Monitor program. The watch Dog toggles the state of a digital MicroScan Output Tag. To create an alarm wire a timer the digital output so that it is set to create an alarm if the state of the digital signal stops changing. Note to ensure that the alarm will occurr if the digital output stops in either state; 0 or 1.

  • Select Output Tag: - Select the MicroScan Digital Output Tag that can be set up with a timer so as to facilitate the alarm.
  • Set Toggle Time (secs): - Set the number of seconds until the toggle changes state.

Auto Run

The Energy Wizard Monitor can be configured to Auto Run other applications when it is launched. To do this, the applications must be in the same directory as the Energy Wizard Monitor and only their file names should be listed in the panel. Each line must contain only one file. Many files may be listed.


Energy Wizard Setup - General - Password Tab

Start the Energy Wizard Setup program, click on the large button 'General Setup'. When the 'General Setup' form appears click on the 'Passwords' tab. The following will be displayed.

Setup as follows:

  • Password Security Enabled: - Check this check box if you wish to enable password security. This is recommended.
  • Level 1: - Enter in the level 1 password. (Generally gives access for normal operator changes)
  • Level 2: - Enter in the level 2 password. (Generally gives access for advanced operator changes)
  • Level 3: - Enter in the level 3 password. (Generally gives access for administrative changes)


Energy Wizard Setup - General - Supplier Tab

Start the Energy Wizard Setup program, click on the large button 'General Setup'. When the 'General Setup' form appears click on the 'Supplier' tab. The following will be displayed.

Setup as follows:

  • Maximum Number of Suppliers: - Set the maximum number of suppliers that you require. Please note that once the Energy Wizard store file has been created then the number of available suppliers for that month cannot be changed. This is because the maximum number of Suppliers is burnt into each months store file when the file is created. Once it has been burnt in, it can not be changed. Also if the setting has been made for the 'Lite' version then the number of suppliers will be fixed to 1.
  • Maximum Number of TOU Slots: - Set the maximum number of Time Of Use (TOU) Slots that you require per Supplier. This should be set high enough so as to cater for all of your suppliers. Please note that once the Energy Wizard store file has been created then the number of available TOU Slots for that month cannot be changed. This is because the maximum number of TOU Slots is burnt into each months store file when the file is created. Once it has been burnt in, it can not be changed.


Energy Wizard Setup - Overview

Start the Energy Wizard Setup program, the following form will appear.

General Setup Help
  • General
  • Passwords
  • Cost Centers
  • Suppliers
  • Misc
Supplier Setup Help
  • Supplier
  • Tariff - TOU Slot Charges
  • Tariff - Peak Energy
  • Tariff - Other Charges
Tag Setup Help
  • Input - Rate from Recorder
  • Input - Rate from Scada Tag
  • Input - Rate from DDE
  • Input - Pulse from Recorder
  • Input - Pulse from Scada Tag
  • Input - Pulse from DDE
  • Input - Total from Recorder
  • Input - Total from Scada Tag
  • Input - Total from DDE
  • Input - Maths from other tags
  • Input - From CSV file only
  • Output - Half hour usage display
Cost Center Help
  • Cost Centers

Special Note:

If starting the Energy Wizard Setup program for the first time you will need to create a new setup file and set it as the 'Current' setup file.

File Menu:

The File menu contains the following items:

  • New - creates a new setup file, do this if you have not yet set the Energy Wizard up on the computer and if it is the first time you are running the program. Typically the setup files are stored in the c:\in2000 directory. The name of the setup file is usually representative of the end user and always has the extension 'mtg'. For example, for Intech Instruments Ltd we would call our setup file 'intech.mtg'.
  • Open - gives the opportunity to open a setup file other than the 'Current' setup file. This is not usually used but maybe useful if experimenting with an independent setup file or if working on a setup file from another site.
  • Save - saves any changes made in the setup file to disk.
  • Save As - saves the setup file to another name.
  • Open Current File - opens the 'Current' setup file. The 'Current' setup file is the one that the Energy Wizard Monitor will read for its setup data.
  • Set Current File - sets a selected setup file to be the 'Current' setup file. The 'Current' setup file is the one that the Energy Wizard Monitor will read for its setup data.
  • Passwords - shows the password dialog box for entering in the passwords.
  • Exit - exits the Energy Wizard Setup program.

Setup Menu:

The Setup menu duplicates the functionality of the large buttons. Please refer to the section "Large Buttons" below.

Help Menu:

The Help menu contains the following items.

  • About - shows the program about dialog box.

Large Buttons:

The large buttons have the following functionality.

  • General Setup - Shows the General Setup form.
  • Supplier Setup - Shows the Supplier Setup form.
  • Tag Setup - Shows the Tag Setup form.
  • Cost Centers - Shows the Cost Center Setup form.
  • Save - saves any changes made in the setup file to disk.
  • Exit - exits the Energy Wizard Setup program.

Associated Files:

The following files are associated with the Energy Wizard Setup program.

  • ew-setup.exe - Setup Application File - located in the application directory, usually c:\in2000
  • enrgywiz.ini - Setup Data File - located in the windows directory
  • *.mtg - Setup Data File - located in the application directory
  • VB6 Support files located in the windows system directory.


Energy Wizard Setup - Supplier - Other Charges

Start the Energy Wizard Setup program, click on the large button 'Supplier'. When the 'Supplier' form appears, set it up as required, click on the 'OK' Button to save the changes and then click on the 'Tariff Setup' button. Select the 'Other Charges' tab and the following will be displayed.

Setup as follows:

  • Fixed Monthly Energy Charges: - To enable this option set the combo box to an option other than 'None'. 'Proportion by Usage' is standard for this option. Proportion by usage applies to all of the Sub Cost Centers and the Tags, not the Main Cost Center. When they are costed with this option, the amount of value that is proportioned to their bill is based on their total energy usage with respect to the Main Cost Center's total energy usage.
  • Fixed Monthly Distribution Charges: - To enable this option set the combo box to an option other than 'None'. 'Proportion by Peak' is standard for this option. Proportion by peak applies to all of the Sub Cost Centers and the Tags, not the Main Cost Center. When they are costed with this option, the amount of value that is proportioned to their bill is based on their peak value with respect to the Main Cost Center's peak value.
  • Fixed Day Charges: -To enable this option set the combo box to an option other than 'None'. 'No Proportioning' is standard for this option. No Proportioning applies to all of the Sub Cost Centers and the Tags, not the Main Cost Center. When they are costed with this option, the amount of value that is added to their bill is the same charge that is entered into the text box.
  • Transmission Loss Charges: - To enable this option set the combo box to '% of TOU Slot Charges'. The value that will be added to each bill will be the sum of all of the TOU Slot charges for that billed multiplied by the percentage entered into the text box.


Energy Wizard Setup - Supplier - Peak Energy

Start the Energy Wizard Setup program, click on the large button 'Supplier'. When the 'Supplier' form appears, set it up as required, click on the 'OK' Button to save the changes and then click on the 'Tariff Setup' button. Select the 'Peak Energy' tab and the following will be displayed.

Here you can setup how the Energy Wizard will calculate the Peak Energy for the month and also if it will cost that peak.

Please note that, in energy terms, to find the single highest peak you would take the following steps:

  • Find the period that has the highest energy usage for the month.
  • Take that value and calculate it back so that it represents an instantaneous energy flow based on the length of the period.

When referring to peaks, the peak is not actually the highest instantaneous rate but the highest integrated average rate. For example, given that the highest energy usage has been recorded at 120 kWhrs for a 30 minute period. Then the Peak (integrated average) would equal 120 kWhrs / 0.5 hrs = 240 kW. Note that the actual highest instantaneous rate experienced during this period would have been higher than 240 kW.

Setup as follows:

  • Peak Type for all Power Bills: - Select the Peak Type. This could be set to the single highest peak for the month, or could be set to an average of up to the 24 highest peaks for the month.
  • Main Cost Center Peak From: - Select where the Main Cost Center, Center 0, will derive its peak. The options are from either itself or from another Energy Wizard Monitor Tag. This option is designed to cater for main incomer power meters which have available both kW and kVA. Also to coincide with Suppliers that base their charges on peak kVA units.
  • Main Cost Center Power Factor: - This option is only available if the 'Main Cost Center Peak From' is set to 'Own Energy Data'. Under these conditions, if an average site power factor is known, then this can be entered into this text box. If kVA is not an issue for your site then set this value to 1.
  • Apply the Main Cost Center Power Factor to all Power Bills: - To select 'No' will result in all Sub Cost Centers and Tag Power Bills using their own data to calculate the peak with no adjustment for power factor. To select 'Yes' will result in all Sub Cost Centers and Tag Power Bills using their own data to calculate the peak but with it adjusted by the power factor. This could be quite significant if the peaks are being costed.
  • Do you wish to charge the Peak: - If the peak for this supplier has a charge associated with it then select 'Yes', otherwise select 'No'.
  • Peak Rate: - Enter the amount that the peak is to be charged by into the text box.

Please note that if you have a number of TOU Slots which are similar then you may find the 'Copy', 'Paste' and 'Undo' buttons useful in speeding up the process.


Energy Wizard Setup - Supplier

Start the Energy Wizard Setup program, click on the large button 'Supplier'. The following form will appear.

Setup As Follows:

  • Supplier: - Select the Supplier you wish to edit from the Supplier combo box.
  • Supplier Name: - Enter the Supplier Name here. When you click on the OK button the new Supplier Name will be added to the list in the Supplier combo box above.
  • Enable: - To enable this Supplier, tick the check box.
  • Energy Type: - Select the Energy Type required for this supplier. If you wish to set a custom energy type, name and units then select 'Other' from the combo box and edit the Energy Name and Units text boxes as required.
  • Energy Name: - Only available if the Energy Type 'Other' is selected. Enter the name of the Energy Type.
  • Usage Units : - Only available if the Energy Type 'Other' is selected. Enter the units for Energy Usage. (kWhrs)
  • Peak Units : - Only available if the Energy Type 'Other' is selected. Enter the units for Peak Energy. (kVA)
  • Generator Node: Enter the Generator Node from which the spot prices are being derived. This must be exactly the same as set in the Energy Wizard Comit program. This will enable the automatic updating of the "Spot" TOU Slot rates. If your tariff does not include spot pricing then leave this field blank.

Once the above settings have been made click on the OK Button and then set up the Tariff for this supplier by clicking on the Tariff Setup Button.


Energy Wizard Setup - Supplier - TOU Slot

Start the Energy Wizard Setup program, click on the large button 'Supplier'. When the 'Supplier' form appears, set it up as required, click on the 'OK' Button to save the changes and then click on the 'Tariff Setup' button. Select the 'TOU Slot Charges' tab and the following will be displayed.

Here you can setup an array of Time Of Use (TOU) Slots, one array for each Supplier. The purpose of these slots is so that you have the option to allocate different energy unit costs to energy consumed at different times of the day and week.

Setup as follows:

  • TOU Slot: - Select the Month and then the TOU Slot you wish to edit.
  • Name: - Enter in the name for the TOU Slot. When you click on the 'Accept' button this name will be updated into the 'TOU Slot' combo box.
  • Enable TOU Slot: - Tick this check box to enable this TOU Slot.
  • Rate: - Enter in this text box the amount in cents you wish to be applied to the energy consumed during this TOU Slot.
  • Rate Type - has two options; Fixed Rate (Default) or Spot Rate. The Fixed Rate is the default option. When the Spot Rate is selected then these rates are able to be updated automatically when the Energy Wizard Comit program is installed.
  • Day Type ; Week Days, Week Ends or Both: - Select the option which is applicable to this TOU Slot. That is, is the TOU Slot to apply to only week days, or to only week-end days or is it to be applied to both week-end and week days.
  • Time From: - For this TOU Slot select the time to start, this would be the start of the first period to be included.
  • Time To: - For this TOU Slot select the time to stop, this would be the end of the last period to be included.
  • Multiply Units By : - The Energy Wizard Reporter will sum all of the units for this Time Of Use Slot and then multiply the total by the percentage. The default is 100%. However some Suppliers charge say 85% against a fixed charge and the other 15% against a floating or "spot" charge. In this case 2 TOU Slots would be set up, one for the 85% and the other for the 15%.
  • Limit Type: The options are; No Limit (Default), Up to limit, and Over limit. This is often used in conjunction with a Fixed and Spot type TOU Slot for the same time period. Usually the Fixed TOU Slot will be up to a preset limit (hedge) and the Spot will be applied to all the energy used over this limit.
  • Limit (Hedge): This is the quantity of units for each individual period that will be used as the limit value.

Notes:

  1. If you have a number of TOU Slots which are similar then you may find the 'Copy', 'Paste' and 'Undo' buttons useful in speeding up the process.
  2. Use the "Quick Set" button to quickly setup similar TOU Slots for each month of the year. When finished, enter the "Variable Charge" and then press "Enter" to automatically advance to the next TOU Slot.


Energy Wizard Setup - Tag - CSV

Start the Energy Wizard Set-up program, click on the large button 'Tag Set-up'. When the 'Tag Set-up' form appears select the scan type 'From CSV File'. The following will be displayed.

The 'From CSV File' scan type allows the Energy Wizard Monitor Tag to be enabled, but prevents the Energy Wizard Monitor from writting data to it unless the data came from a CSV file. For more information on importing data into the Energy Wizard from CSV files please refer to the Energy Wizard Monitor Help.

Set-up as follows:

  • Tag Name: - Enter the name you wish to call the Tag into the text box.
  • Tag Type: - Select the Tag Type from the combo box. For this set-up select 'Input - Energy Totalising'.
  • Scan Type: - Select the Scan Type you require from the combo box. For this set-up select 'Rate - Recorder'.
  • Supplier: - Select the default Supplier you require this Tag to be associated with from the combo box.
  • Enable Tag: - Check the check box to enable this Tag.


Energy Wizard Setup - Tag - Pulse from DDE

Start the Energy Wizard Set-up program, click on the large button 'Tag Set-up'. When the 'Tag Set-up' form appears select the scan type 'Rate - DDE'. The following will be displayed.

The 'Rate - DDE' scan type enables an Energy Wizard Monitor Tag to be configured so that it reads a value which represents a count of pulses from a DDE source in another application. Each pulse will represent a pre-determined quantity of energy; for example kWhrs, cu.m etc. A device will count the pulses up to a set maximum value and then reset itself to zero at which point it will begin the count again. The Energy Wizard Monitor will read these pulses and accumulate the appropriate quantity of energy for the period.

This is a very accurate method for retrieving energy data because the integration of energy used is performed by an on-line dedicated power transducer which has the ability to output a pulse whenever a certain amount of energy has been used.

Set-up as follows:

  • Tag Name: - Enter the name you wish to call the Tag into the text box.
  • Tag Type: - Select the Tag Type from the combo box. For this set-up select 'Input - Energy Totalising'.
  • Scan Type: - Select the Scan Type you require from the combo box. For this set-up select 'Rate - Recorder'.
  • Supplier: - Select the default Supplier you require this Tag to be associated with from the combo box.
  • Enable Tag: - Check the check box to enable this Tag.
  • DDE Topic: - Enter the DDE Topic into the text box.
  • DDE Item: - Enter the DDE Item into the text box.
  • Send Rate to Scada Tag: - The Energy Wizard Monitor calculates an instantaneous rate from the data received. This rate can then be sent to a MicroScan2000 Input Tag for display and recording purposes. To do this enter the appropriate MicroScan2000 Input Tag number between 1 and 1024. If you do not wish to send any data then set the text box to 0. The calculated rate may need smoothing in the form of averaging. To average the rate, adjust the selection: 'Recorder Display Type' on the 'General Tab' found in the 'General Set-up' form. If you increase the averaging in this option then you will increase the averaging (smoothing) of the rate that the Energy Wizard Monitor outputs to the MicroScan2000 Input Tag.
  • Units/Pulse: - Enter the quantity of energy per pulse into this text box.
  • Max Rate: - Enter the maximum rate that could ever be attained by this tag. Note that this is only included as a safety measure and if not required then enter 0 into the text box and it will be disabled. If the value is greater than 0 then this option will be enabled. How it works is that if the "Average Rate" as set in the "General Setup" should ever exceed the above specified "Max Rate" then it will be assumed that an error has occurred in the data collection devices and that the additional energy represented by the data from this scan will be ignored.
  • Max Count: - Enter the maximum count of pulses into the text box. This is typically 1023 or 4095, but could be any whole number up to 32,000.


Energy Wizard Setup - Tag - Rate from DDE

Start the Energy Wizard Setup program, click on the large button 'Tag Setup'. When the 'Tag Setup' form appears select the scan type 'Rate - DDE'. The following will be displayed.

The 'Rate - DDE' scan type enables an Energy Wizard Monitor Tag to be configured so that it reads the actual instantaneous data (kW, cu.m/hr etc) from a DDE source in another application. It then integrates that data into the usage for that period (kWhrs, cu.m etc).

The Rate input type is often used as it is a cost effective way of getting data into the Energy Wizard, however please note that some inaccuracies can occur when using this input type. This is because the Energy Wizard scans typically every 30 seconds. Each time it scans it gets the current data and then assumes that the usage has been at this rate since the last time it scanned. In practice the actual rate can move up and/or down in between scan rates. This movement can cause some inaccuracies in the integration process, however for many applications the inaccuracies are quite acceptable.

Setup as follows:

  • Tag Name: - Enter the name you wish to call the Tag into the text box.
  • Tag Type: - Select the Tag Type from the combo box. For this setup select 'Input - Energy Totalising'.
  • Scan Type: - Select the Scan Type you require from the combo box. For this setup select 'Rate - Recorder'.
  • Supplier: - Select the default Supplier you require this Tag to be associated with from the combo box.
  • Enable Tag: - Check the check box to enable this Tag.
  • DDE Topic: - Enter the DDE Topic into the text box.
  • DDE Item: - Enter the DDE Item into the text box.
  • Send Rate to Scada Tag: - The Energy Wizard Monitor calculates an instantaneous rate from the data received. This rate can then be sent to a MicroScan2000 Input Tag for display and recording purposes. To do this enter the appropriate MicroScan2000 Input Tag number between 1 and 1024. If you do not wish to send any data then set the text box to 0. The calculated rate may need smoothing in the form of averaging. To average the rate, adjust the selection: 'Recorder Display Type' on the 'General Tab' found in the 'General Setup' form. If you increase the averaging in this option then you will increase the averaging (smoothing) of the rate that the Energy Wizard Monitor outputs to the MicroScan2000 Input Tag.


Energy Wizard Setup - Tag - Total from DDE

Start the Energy Wizard Set-up program, click on the large button 'Tag Set-up'. When the 'Tag Set-up' form appears select the scan type 'Total - DDE'. The following will be displayed.

The 'Total - DDE' scan type enables an Energy Wizard Monitor Tag to be configured so that it reads the integrated data (kWhrs, cu.m etc) from a DDE source in another application.

The Total input type is a value which would be supplied by a device which is capable of integrating the energy usage itself for each period. It is important to note that the PC clock and the device clock must be kept the same. Also the Total must be reset to zero at the start of each period.

Set-up as follows:

  • Tag Name: - Enter the name you wish to call the Tag into the text box.
  • Tag Type: - Select the Tag Type from the combo box. For this set-up select 'Input - Energy Totalising'.
  • Scan Type: - Select the Scan Type you require from the combo box. For this set-up select 'Rate - Recorder'.
  • Supplier: - Select the default Supplier you require this Tag to be associated with from the combo box.
  • Enable Tag: - Check the check box to enable this Tag.
  • DDE Topic: - Enter the DDE Topic into the text box.
  • DDE Item: - Enter the DDE Item into the text box.
  • Send Rate to Scada Tag: - The Energy Wizard Monitor calculates an instantaneous rate from the data received. This rate can then be sent to a MicroScan2000 Input Tag for display and recording purposes. To do this enter the appropriate MicroScan2000 Input Tag number between 1 and 1024. If you do not wish to send any data then set the text box to 0. The calculated rate may need smoothing in the form of averaging. To average the rate, adjust the selection: 'Recorder Display Type' on the 'General Tab' found in the 'General Set-up' form. If you increase the averaging in this option then you will increase the averaging (smoothing) of the rate that the Energy Wizard Monitor outputs to the MicroScan2000 Input Tag.


Energy Wizard Setup - Tag - Maths

Start the Energy Wizard Set-up program, click on the large button 'Tag Set-up'. When the 'Tag Set-up' form appears select the scan type 'Maths Grouping'. The following will be displayed.

The 'Maths Grouping' scan type enables an Energy Wizard Monitor Tag to be configured so that it equals a simple calculation based on the integrated energy used by other Energy Monitor Tags. There are many combinations of simple arithmetic available. Generally in the "Tag Grouping Maths Input" section on the form shown below, start at the top and work down until the required combination is achieved.

The formula shown below could be written as: (1 x Tag1) + (1 x Tag2) + (1 x Tag3), where Tag1, 2 & 3 represent Enegy Wizard Tags.

Set-up as follows:

  • Tag Name: - Enter the name you wish to call the Tag into the text box.
  • Tag Type: - Select the Tag Type from the combo box. For this set-up select 'Input - Energy Totalising'.
  • Scan Type: - Select the Scan Type you require from the combo box. For this set-up select 'Rate - Recorder'.
  • Supplier: - Select the default Supplier you require this Tag to be associated with from the combo box.
  • Enable Tag: - Check the check box to enable this Tag.
  • Column 1: - Select the maths function required.
  • Column 2: - Enter the factor by which you wish to multiply the Energy Wizard Tag selected in Column 3.
  • Column 3: - Select the Energy Wizard Tag required.


Energy Wizard Setup - Tag - Output to Recorder

Start the Energy Wizard Set-up program, click on the large button 'Tag Setup'. When the 'Tag Setup' form appears select the tag type 'Output - Recorder Display'. The following will be displayed.

The 'Half Hour Usage Display' scan type is provided so that the actual integrated value of energy usage for a particular Cost Center or Energy Wizard Tag can be displayed on the MicroScan2000 Recorder. This will produce a saw-tooth type of graph which will reset to zero at the start of every period and will steadily increase during the period.

This output to the Recorder is of great interest as it provides an up-to-the-minute graphical display of the energy consumption trend.

Set-up as follows:

  • Tag Name: - Enter the name you wish to call the Tag into the text box.
  • Tag Type: - Select the Tag Type from the combo box. For this set-up select 'Output - Recorder Display'.
  • Enable Tag: - Check the check box to enable this Tag.
  • Recorder: - Enter the Recorder Number of the Line from where you wish to send the data. This should be a number from 1 to 5.
  • Page: - Enter the Page Number of the Line from where you wish to send the data. This should be a number from 1 to 10.
  • Line: - Enter the Line Number from where you wish to send the data. This should be a number from 1 to 10.
  • Select the Display Source: - Select the display source you require, that is do you wish to send the half houly usage of a Cost Center or an Energy Wizard Tag.
  • Select a Tag/Select a Center: - Select the Energy Wizard Tag or Cost Center as required.


Energy Wizard Setup - Tag - Pulse from Recorder

Start the Energy Wizard Setup program, click on the large button 'Tag Setup'. When the 'Tag Setup' form appears select the scan type 'Pulse - Recorder'. The following will be displayed.

The 'Pulse - Recorder' scan type enables an Energy Wizard Monitor Tag to be configured so that it reads a value which represents a count of pulses from a MicroScan2000 Recorder Line. Each pulse will represent a pre-determined quantity of energy; for example kWhrs, cu.m etc. A device will count the pulses up to a set maximum value and then reset itself to zero at which point it will begin the count again. The Energy Wizard Monitor will read these pulses and accumulate the appropriate quantity of energy for the period.

This is a very accurate method for retrieving energy data because the integration of energy is performed by a dedicated power transducer which has the ability to output a pulse whenever a certain amount of energy has been used.

Setup as follows:

  • Tag Name: - Enter the name you wish to call the Tag into the text box.
  • Tag Type: - Select the Tag Type from the combo box. For this setup select 'Input - Energy Totalising'.
  • Scan Type: - Select the Scan Type you require from the combo box. For this setup select 'Rate - Recorder'.
  • Supplier: - Select the default Supplier you require this Tag to be associated with from the combo box.
  • Enable Tag: - Check the check box to enable this Tag.
  • Recorder: - Enter the Recorder Number of the Line from where you wish to get the data into the text box. This should be a number from 1 to 5.
  • Page: - Enter the Page Number of the Line from where you wish to get the data into the text box. This should be a number from 1 to 10.
  • Line: - Enter the Line Number from where you wish to get the data into the text box. This should be a number from 1 to 10.
  • Send Rate to Scada Tag: - The Energy Wizard Monitor calculates an instantaneous rate from the data received. This rate can then be sent to a MicroScan2000 Input Tag for display and recording purposes. To do this enter the appropriate MicroScan2000 Input Tag number between 1 and 1024. If you do not wish to send any data then set the text box to 0. The calculated rate may need smoothing in the form of averaging. To average the rate, adjust the selection: 'Recorder Display Type' on the 'General Tab' found in the 'General Setup' form. If you increase the averaging in this option then you will increase the averaging (smoothing) of the rate that the Energy Wizard Monitor outputs to the MicroScan2000 Input Tag.
  • Units/Pulse: - Enter the quantity of energy per pulse into this text box.
  • Max Rate: - Enter the maximum rate that could ever be attained by this tag. Note that this is only included as a safety measure and if not required then enter 0 into the text box and it will be disabled. If the value is greater than 0 then this option will be enabled. How it works is that if the "Average Rate" as set in the "General Setup" should ever exceed the above specified "Max Rate" then it will be assumed that an error has occurred in the data collection devices and that the additional energy represented by the data from this scan will be ignored.
  • Max Count: - Enter the maximum count of pulses into the text box. This is typically 1023 or 4095, but could be any whole number up to 32,000.


Energy Wizard Setup - Tag - Rate from Recorder

Start the Energy Wizard Setup program, click on the large button 'Tag Setup'. When the 'Tag Setup' form appears select the scan type 'Rate - Recorder'. The following will be displayed.

The 'Rate - Recorder' scan type enables an Energy Wizard Monitor Tag to be configured so that it reads the actual instantaneous data (kW, cu.m/hr etc) from the MicroScan2000 Recorder Line. It then integrates that data into the usage for that period (kWhrs, cu.m etc).

The Rate input type is often used as it is a cost effective way of getting data into the Energy Wizard, however please note that some inaccuracies can occur when using this input type. This is because the Energy Wizard scans typically every 30 seconds. Each time it scans it gets the current data and then assumes that the usage has been at this rate since the last time it scanned. In practice the actual rate can move up and/or down in between scan rates. This movement can cause some inaccuracies in the integration process, however for many applications the inaccuracies are quite acceptable.

Setup as follows:

  • Tag Name: - Enter the name you wish to call the Tag into the text box.
  • Tag Type: - Select the Tag Type from the combo box. For this setup select 'Input - Energy Totalising'.
  • Scan Type: - Select the Scan Type you require from the combo box. For this setup select 'Rate - Recorder'.
  • Supplier: - Select the default Supplier you require this Tag to be associated with from the combo box.
  • Enable Tag: - Check the check box to enable this Tag.
  • Recorder: - Enter the Recorder Number of the Line from where you wish to get the data into the text box. This should be a number from 1 to 5.
  • Page: - Enter the Page Number of the Line from where you wish to get the data into the text box. This should be a number from 1 to 10.
  • Line: - Enter the Line Number from where you wish to get the data into the text box. This should be a number from 1 to 10.
  • Send Rate to Scada Tag: - The Energy Wizard Monitor calculates an instantaneous rate from the data received. This rate can then be sent to a MicroScan2000 Input Tag for display and recording purposes. To do this enter the appropriate MicroScan2000 Input Tag number between 1 and 1024. If you do not wish to send any data then set the text box to 0. The calculated rate may need smoothing in the form of averaging. To average the rate, adjust the selection: 'Recorder Display Type' on the 'General Tab' found in the 'General Setup' form. If you increase the averaging in this option then you will increase the averaging (smoothing) of the rate that the Energy Wizard Monitor outputs to the MicroScan2000 Input Tag.


Energy Wizard Setup - Tag - Total from Recorder

Start the Energy Wizard Setup program, click on the large button 'Tag Set-up'. When the 'Tag Setup' form appears select the scan type 'Total - Recorder'. The following will be displayed.

The 'Total - Recorder' scan type enables an Energy Wizard Monitor Tag to be configured so that it reads the integrated data (kWhrs, cu.m etc) from the MicroScan2000 Recorder Line.

The Total input type is a value which would be supplied by a device which is capable of integrating the energy usage itself for each period. It is important to note that the PC clock and the device clock must be kept the same. Also the Total must be reset to zero at the start of each period.

Set-up as follows:

  • Tag Name: - Enter the name you wish to call the Tag into the text box.
  • Tag Type: - Select the Tag Type from the combo box. For this set-up select 'Input - Energy Totalising'.
  • Scan Type: - Select the Scan Type you require from the combo box. For this set-up select 'Rate - Recorder'.
  • Supplier: - Select the default Supplier you require this Tag to be associated with from the combo box.
  • Enable Tag: - Check the check box to enable this Tag.
  • Recorder: - Enter the Recorder Number of the Line from where you wish to get the data into the text box. This should be a number from 1 to 5.
  • Page: - Enter the Page Number of the Line from where you wish to get the data into the text box. This should be a number from 1 to 10.
  • Line: - Enter the Line Number from where you wish to get the data into the text box. This should be a number from 1 to 10.
  • Send Rate to Scada Tag: - The Energy Wizard Monitor calculates an instantaneous rate from the data received. This rate can then be sent to a MicroScan2000 Input Tag for display and recording purposes. To do this enter the appropriate MicroScan2000 Input Tag number between 1 and 1024. If you do not wish to send any data then set the text box to 0. The calculated rate may need smoothing in the form of averaging. To average the rate, adjust the selection: 'Recorder Display Type' on the 'General Tab' found in the 'General Set-up' form. If you increase the averaging in this option then you will increase the averaging (smoothing) of the rate that the Energy Wizard Monitor outputs to the MicroScan2000 Input Tag.


Energy Wizard Setup - Tag - Pulse from Scada Tag

Start the Energy Wizard Set-up program, click on the large button 'Tag Set-up'. When the 'Tag Set-up' form appears select the scan type 'Pulse - Scada Tag'. The following will be displayed.

The 'Pulse - Scada Tag' scan type enables an Energy Wizard Monitor Tag to be configured so that it reads a value which represents a count of pulses from a MicroScan2000 Input Tag. Each pulse will represent a pre-determined quantity of energy; for example kWhrs, cu.m etc. A device will count the pulses up to a set maximum value and then reset itself to zero at which point it will begin the count again. The Energy Wizard Monitor will read these pulses and accumulate the appropriate quantity of energy for the period.

This is a very accurate method for retrieving energy data because the integration of energy used is performed by an on-line dedicated power transducer which has the ability to output a pulse whenever a certain amount of energy has been used.

Set-up as follows:

  • Tag Name: - Enter the name you wish to call the Tag into the text box.
  • Tag Type: - Select the Tag Type from the combo box. For this set-up select 'Input - Energy Totalising'.
  • Scan Type: - Select the Scan Type you require from the combo box. For this set-up select 'Rate - Recorder'.
  • Supplier: - Select the default Supplier you require this Tag to be associated with from the combo box.
  • Enable Tag: - Check the check box to enable this Tag.
  • Scada Tag: - Enter the Input Tag Number from where you wish to get the data into the text box. This should be a number from 1 to 1024.
  • Send Rate to Scada Tag: - The Energy Wizard Monitor calculates an instantaneous rate from the data received. This rate can then be sent to a MicroScan2000 Input Tag for display and recording purposes. To do this enter the appropriate MicroScan2000 Input Tag number between 1 and 1024. If you do not wish to send any data then set the text box to 0. The calculated rate may need smoothing in the form of averaging. To average the rate, adjust the selection: 'Recorder Display Type' on the 'General Tab' found in the 'General Set-up' form. If you increase the averaging in this option then you will increase the averaging (smoothing) of the rate that the Energy Wizard Monitor outputs to the MicroScan2000 Input Tag.
  • Units/Pulse: - Enter the quantity of energy per pulse into this text box.
  • Max Rate: - Enter the maximum rate that could ever be attained by this tag. Note that this is only included as a safety measure and if not required then enter 0 into the text box and it will be disabled. If the value is greater than 0 then this option will be enabled. How it works is that if the "Average Rate" as set in the "General Setup" should ever exceed the above specified "Max Rate" then it will be assumed that an error has occurred in the data collection devices and that the additional energy represented by the data from this scan will be ignored.
  • Max Count: - Enter the maximum count of pulses into the text box. This is typically 1023 or 4095, but could be any whole number up to 32,000.


Energy Wizard Setup - Tag - Rate from Scada Tag

Start the Energy Wizard Setup program, click on the large button 'Tag Setup'. When the 'Tag Setup' form appears select the scan type 'Rate - Scada Tag'. The following will be displayed.

The 'Rate - Scada Tag' scan type enables an Energy Wizard Monitor Tag to be configured so that it reads the actual instantaneous data (kW, cu.m/hr etc) from a MicroScan2000 Input Tag. It then integrates that data into the usage for that period (kWhrs, cu.m etc).

The Rate input type is often used as it is a cost effective way of getting data into the Energy Wizard, however please note that some inaccuracies can occur when using this input type. This is because the Energy Wizard scans typically every 30 seconds. Each time it scans it gets the current data and then assumes that the usage has been at this rate since the last time it scanned. In practice the actual rate can move up and/or down in between scan rates. This movement can cause some inaccuracies in the integration process, however for many applications the inaccuracies are quite acceptable.

Setup as follows:

  • Tag Name: - Enter the name you wish to call the Tag into the text box.
  • Tag Type: - Select the Tag Type from the combo box. For this setup select 'Input - Energy Totalising'.
  • Scan Type: - Select the Scan Type you require from the combo box. For this setup select 'Rate - Recorder'.
  • Supplier: - Select the default Supplier you require this Tag to be associated with from the combo box.
  • Enable Tag: - Check the check box to enable this Tag.
  • Scada Tag: - Enter the Input Tag Number from where you wish to get the data into the text box. This should be a number from 1 to 1024.
  • Send Rate to Scada Tag: - The Energy Wizard Monitor calculates an instantaneous rate from the data received. This rate can then be sent to a MicroScan2000 Input Tag for display and recording purposes. To do this enter the appropriate MicroScan2000 Input Tag number between 1 and 1024. If you do not wish to send any data then set the text box to 0. The calculated rate may need smoothing in the form of averaging. To average the rate, adjust the selection: 'Recorder Display Type' on the 'General Tab' found in the 'General Setup' form. If you increase the averaging in this option then you will increase the averaging (smoothing) of the rate that the Energy Wizard Monitor outputs to the MicroScan2000 Input Tag.


Energy Wizard Setup - Tag - Total from Scada Tag

Start the Energy Wizard Set-up program, click on the large button 'Tag Set-up'. When the 'Tag Set-up' form appears select the scan type 'Rate - Scada Tag'. The following will be displayed.

The 'Total - Scada Tag' scan type enables an Energy Wizard Monitor Tag to be configured so that it reads the integrated data (kWhrs, cu.m etc) from the MicroScan2000 Input Tag.

The Total input type is a value which would be supplied by a device which is capable of integrating the energy usage itself for each period. It is important to note that the PC clock and the device clock must be kept the same. Also the Total must be reset to zero at the start of each period.

Set-up as follows:

  • Tag Name: - Enter the name you wish to call the Tag into the text box.
  • Tag Type: - Select the Tag Type from the combo box. For this set-up select 'Input - Energy Totalising'.
  • Scan Type: - Select the Scan Type you require from the combo box. For this set-up select 'Rate - Recorder'.
  • Supplier: - Select the default Supplier you require this Tag to be associated with from the combo box.
  • Enable Tag: - Check the check box to enable this Tag.
  • Scada Tag: - Enter the Input Tag Number from where you wish to get the data into the text box. This should be a number from 1 to 1024.
  • Send Rate to Scada Tag: - The Energy Wizard Monitor calculates an instantaneous rate from the data received. This rate can then be sent to a MicroScan2000 Input Tag for display and recording purposes. To do this enter the appropriate MicroScan2000 Input Tag number between 1 and 1024. If you do not wish to send any data then set the text box to 0. The calculated rate may need smoothing in the form of averaging. To average the rate, adjust the selection: 'Recorder Display Type' on the 'General Tab' found in the 'General Set-up' form. If you increase the averaging in this option then you will increase the averaging (smoothing) of the rate that the Energy Wizard Monitor outputs to the MicroScan2000 Input Tag.


Reporter - Auto Report Running

Reporter - Auto Reports - Running

To display this form select the menu Reports.

RR-Auto_Reports_Run.jpg (21102 bytes)

Then select the required pre-configured Auto-Report for easier viewing.

Wizard Help


Reporter - Auto Report Duration

Energy Wizard Reporter - Auto Report - Duration

To display this form select the menu Tools\Auto Report Setup.

RR-AutoRep-Duration.gif (11893 bytes)

To setup a new Auto Report or change an existing one take the following steps:

  1. First select the report in the "Report List"
  2. Then enter in a name for the new report in the "Report Name" text box.
  3. Selct the "Report Type" required.
  4. Click on the "Setup" button and set up the report options.
  5. Check the "Enable Report" check box.
  6. Select the "Duration" tab and set the duration of the report.
  7. Click on the "Save" button to save the new settings.

If the Report is to be used as an Auto Report, that is automatically printed out, then click on the "Schedule" tab and set the schedule for this report.

Wizard Help


Reporter - Auto Report Next Scheduled

Energy Wizard Reporter - Auto Report - Next Scheduled

To display this form select the menu Tools\Auto Report Setup.

RR-AutoRep-NextSch.gif (13189 bytes)

The Auto Report - Next Schedule form is for information only.

  • First the Report must have been setup, refer to Auto Report - Duration
  • Then the Scheduler must have been set up, refer to Auto Report - Scheduler

The "Next Scheduled Reports" displays the; Report Name, the Next Scheduled date and time, the Last Scheduled date and time and the Last Run date and time.

Wizard Help


Reporter - Auto Report Schedule

Energy Wizard Reporter - Auto Report - Schedule

To display this form select the menu Tools\Auto Report Setup.

RR-AutoRep-Schedule.gif (12210 bytes)

Once the report has been setup, refer to Auto Report - Duration, and it is required to be used as an Auto Report, it is necessary to complete the Scheduler setup.

  1. Select for Daily or Monthly.
  2. If Daily, then select the Days of the week the Report is to print.
  3. Set the "Start Time" and the "Start Day" if applicable.
  4. Check the "Enable Auto Print" check box.
  5. Click on the "Save" button.

Wizard Help


Reporter - Auto Reports

Energy Wizard Reporter - Auto Reports

The Energy Wizard has a facility in which standard Reports can be pre-configured as Auto Reports.

These Auto Reports can then either run manually or automatically.

To run automatically the Reporter must be running all of the time and the Auto Report Scheduler must be set up to suit.

The setup for each report is slightly different according to the report. For example a graph report will have options that a grid report will not.

There are 20 reports in total that may be set up. Each report may be run manually or automatically or both.

When looking at the Auto Report Setup form there a three main areas:

  • Duration (Setup an Auto Report)
  • Schedule (Set the Auto Report to automatically print)
  • Next Scheduled (View when the Report was last run and is scheduled to run next)

Wizard Help


Reporter - Power Bill Graph

Energy Wizard Reporter - Power Bill Graph

To display this form select : Power Bill \ Calculate Show Bill \ Graph

RR-Bill-Graph.jpg (50626 bytes)

Use the Power Bill Graph to quickly get on overview of the percantage that each Cost Center has consumed.

The Graph can be of Energy or Cost totals and displayed in various graphing formats.

Click on the "Close" button to return to the Power Bill Grid form.

Wizard Help


Reporter - Power Bill Grid

Energy Wizard Reporter - Power Bill Grid

To display this form select : Power Bill \ Calculate Show Bill

RR-Bill-Grid.gif (10804 bytes)

This is the main Power Bill. Scroll down the Bill to view all of the Bill data.

  • Setup button: Returns to the Power Bill Setup form.
  • Graph button: Displays the Power Bill Graph form.
  • Prod'n button: Adds the current set of Power Bill data to the Production Database.
  • Print All button: Prints all of the Cost Centers
  • Print button: Prints only the current Bill.

Wizard Help


Reporter - Power Bill Setup

Energy Wizard Reporter - Power Bill Setup

To display this form select : Power Bill

RR-Bill-Setup.gif (11413 bytes)

When producing a Power Bill, the first form is the Power Bill Setup form.

Here all of the parameters for the Power Bill can be set.

  • Select the Time Period for the Bill:
  • Set the Active Suppliers: Select which supplier is to be used for this Power Bill. This is normally used when comparing different suppliers rates and is very useful as it is using ones own data so it will reflect the peculiarities of ones own energy consumption profile.
  • Use Composite Data to Replace Outage Data: This is checked by default and is recommended. Uncheck this option for a bill that does not include any replacement for Outage data.
  • Balance all Cost Centers to the Main Cost Center: Check this option only if ALL of the Cost Centers are to add up to the Main Cost Center. When checked then ALL of the Cost Centers will be evenly proportioned so that they add up to the Main Cost Center.
  • Bill Style: "Standard" is for the normal complete Power Bill, "Summary" is for a summarised version of the Power Bill.

When all of the settings are made click on the "Calculate/Show Bill >>" button to go to the Power Bill Grid form.

Wizard Help


Reporter - Composite Data

Energy Wizard Reporter - Composite

To display this form select : Composite

RR-Comp-Choice.gif (7837 bytes)

Composite Data can be thought of as a composite or collection of average data:

  1. Average Energy Used for each period for all the Week Days of the month
  2. Average Energy Used for each period for all the Week End Days of the month
  3. Average Energy Used for each period for BOTH all of the Week and Week End Days of the month

In this way a representative energy profile is obtained for a typical Week Day, Week End Day and Both W/D & W/E Days.

Once the composite data has been calculated then it can be used to substitute any Outage Data that may exist.

This results in very accurate (even though approximate) Power Bills if Outage Data exists.

The Composite Data can be viewed in two forms:

  • Graph
  • Grid

Wizard Help


Reporter - Composite Graph

Energy Wizard Reporter - Composite Graph

To display this form select : Composite\Graph

RR-Comp-Graph.gif (7896 bytes)

The Composite Graph displays the Composite Data in a graph format.

For other graphs options, click on the "Graph Options" button to display the Composite graph options form.

RR-Comp-GrSet.gif (10088 bytes)

Data Options

  • Select Line Data: Select the required Cost Center(s) or Tag(s).
  • Quick Select Tags For: To quickly select a Cost Center and ALL of its corresponding Tags.
  • Show Week and Week End Data: If checked then the graph displays Week, Week End and Both W/D and W/E data, if it is not checked then the graph displays only one line for Both W/D and W/E Data.
  • Select Composite for: "Energy" displays the composite energy data, "Cost" displays the composite cost data as a product of the composite energy data multiplied by the respective TOU Slots.
  • Graph Options: Select the required graph options.

Wizard Help


Reporter - Composite Grid

Energy Wizard Reporter - Composite Grid

To display this form select : Composite\Grid

RR-Comp-Grid.gif (14254 bytes)

The Composite Grid form contains the following sections:

  • Composite Grid: Shows both the Energy Composite and the Cost Composite data in a spread sheet type view. Please note that the Composite Cost Data is derived as the product of the Energy Composite multiplied by the TOU Slot.
  • Composite Summary: Shows a summary of the composite data.
  • Select Cost Center or Tag: Select the required Cost Center or Tag to view its Composite Data.

Wizard Help


Reporter - Cost Centers

Energy Wizard Setup - Reporter Cost Centers

To display this form select the menu Tools\Cost Centers.

The Cost Centers available in the Energy Wizard have the following functionality:

  • Cost Centers support multiple energy forms, this means multiple Suppliers.
  • Each Cost Center is restricted to only one Supplier or energy form.
  • Each Cost Center is assigned a Supplier.
  • When adding an Energy Wizard Tag to a Cost Center it must be assigned the same Supplier as the Cost Center.
  • Cost Center 0 is a fixed Cost Center which defaults to an assigned Supplier of Supplier 1.
  • The first Cost Center for each Supplier is the "Main Cost Center" for that Supplier.
  • The Main Cost Center(s) are assigned the FULL fixed charges.
  • Sub Cost Centers are those Cost Centers that exist after the Main Cost Center for the same respective Supplier.
  • If setup for proportioning, the fixed charges are proportioned from the Main Cost Center to the Sub Cost Centers.
  • For Cost Centers from 1 and above, an Energy Wizard Tag can be assigned to only one Cost Center other than the Main Cost Center 0.

Set-up as follows:

  • Cost Center: - Select the Cost Center you wish to edit.
  • Name: - Enter the name you wish to assign to this Cost Center.
  • Supplier: - Select the Supplier you wish to assign to this Cost Center.
  • Enable: - Check the check box to enable this Cost Center.
  • Tags Assigned to Cost Center: - Add the tags into this list box which you wish to assign to this Cost Center.
  • Tags Available to Cost Center: - Refer here to the list of tags still available to be assigned to this Cost Center.

Wizard Help


Reporter - General Setup

Energy Wizard Setup - Reporter General Setup

To display this form select the menu Tools\General.

Please note that all of these options refer only to the currently open store file.

RR-Gen-Gen.jpg (22961 bytes)

From the "General" Tab set the following:

  • Store File Header Text: Enter the company or process name for the store file.
  • Auto Open Last File at Startup: Check this option to automatically open the last opened store file when the Reporter is started.
  • Currency: Select the appropriate currency character.
  • Store File Version: Read only - displays the store file version of the currently open store file.

RR-Gen-PowerBill.jpg (22124 bytes)

From the "Power Bill" Tab set the following:

Do Not Print Bill if Auto Report: Check this option to prevent the Auto Report from printing.

  • Generate CSV file of Bill Data: Check this option to automatically generate a CSV file of the Bill Data when the Power Bills are viewed. The CSV file will be created in the same directory as the store file. For example if the store file path and name is "C: \ IN2000 \ Demo0111.mag" then the CSV file will be "C: \ IN2000 \ Demo0111Bill.mag".
  • Run EXE when finished CSV File: Check this to automatically run a custom program as soon as the CSV file has been created. This is useful if the Bill Data is to be sent to another program such as an accounting package.
  • Get File button: Click on this button to find the program that is to be automatically started as soon as the CSV file has been created.
  • Command Line Switches: Add any command line switches that may be required.
  • Add CSV File to Bill Data to command line: Check this option so as to append the new CSV file name to the command line.

RR-Gen-CalGraph.jpg (24199 bytes)

From the "Calendar Graph" Tab set the margins for the Calendar Graph printer as required to suit the printer.

Wizard Help


Reporter - Outages

Energy Wizard Reporter - Outages

To display this form select : Outages

RR-Outages.gif (3462 bytes)

An Outage is a data reading in the Energy Wizard store file that has been flagged as not complete data.

For example if the computer is re-started, then it is not possible to know what energy has been missed so the data is flagged as Outage data.

Outage data is not used in costings.

In the Energy Wizard, Outage data is typically replaced with Composite data for a costed report.

To further analyse the Outage data, double click on it in the list and the Store Grid will be opened at the respective place.

Wizard Help


Reporter - General

Energy Wizard Reporter - Overview

The Energy Wizard Reporter program analyses Energy Wizard store files. An Energy Wizard store file has an ".mag" extension.

To open an Energy Wizard store file either click on the "Open File" button or select the menu "File\Open".

Once an Energy Wizard store file is open, the Reporter will look like this:

RR-main.gif (7172 bytes)

Operations
  • Suppliers
  • Outages
  • Peaks
  • Store Data
  • Composite Data
  • Production
  • Power Bill
Tools
  • Auto Report Setup
  • Cost Center Setup
  • Tag Setup
  • General Setup
  • Week Day Setup
  • Target Setup
Passwords
  • Passwords
Reports
  • Auto Reports - Running

Associated Files:

The following files are associated with the Energy Wizard Reporter program.

  • Reporter.exe - Reporter Application File - located in the application directory, usually c:\in2000
  • enrgywiz.ini - Setup Data File - located in the windows directory
  • *.mag - Energy Wizard Store File
  • *-set.mdb - Database file that the Reporter uses to store settings and data.
  • VB6 Support files located in the windows system directory.

Wizard Help


Reporter - Passwords

Energy Wizard Setup - Reporter Passwords

To display this form select the menu Password\Password.

RR-password.gif (2329 bytes)

A password system can be enabled on the Energy Wizard Reporter to prevent unauthourised editing of the data and/or settings.

Generally the password system has 3 levels, level 3 having the highest security.

To enable the password system, first run the Password Setup form.

To display this form select the menu Password\Password Setup.

RR-Password-Setup.gif (4613 bytes)

To setup the passwords:

  • Then enter the paswords for each respective level.
  • Check the Enable Password Protection check box.
  • For the passwods to automatially time out enable the "Enable Password Time Out" check box and set the required Timeout Period.

Wizard Help


Reporter - Peaks

Energy Wizard Reporter - Peaks

To display this form select : Peaks

RR-peaks.gif (9150 bytes)

The Peaks Report displays the top 24 peaks for the month for the selected Cost Center or Tag.

Please note that a Peak is measured in kW which is the rate, and the data stored in the store file is kW.hrs which is the quantity.

Because the Peak is derived directly from the store file data it is in fact an average peak over that respective period. For example a half hour period that has a quantity of say 2133.13 kW.hrs will calculate to a peak of 2133.13 / 0.5hrs = 4266.26 kW.

Also note that the Peak calculation for a Cost Center includes the data from all of the Tags that make up that Cost Center.

To see the Store Data Grid at the time of the Peak double click on the line.

Wizard Help


Reporter - Production Graph

Energy Wizard Reporter - Production Graph

To display this form select : Production\Graph

RR-Prod-Graph.jpg (60292 bytes)

Production Graph displays the Production data in graphical format and includes a comparison to the previous year and a comparison to a target.

Wizard Help


Reporter - Production Grid

Energy Wizard Reporter - Production Grid

To display this form select : Production\Graph

RR-Prod-Grid.jpg (23069 bytes)

The production Grid allows the entry of Production Data.

Select the Cost Center, the Year and the Month, then enter the appropriate data.

  • Total Cost: Enter the total cost of the energy.
  • Total Usage: Enter the total amount of energy used.
  • Production Units: Eneter the total number of production units that were produced by this amount of energy.

Once entered click on the "Save" button to save the data to the Production Database.

Wizard Help


Reporter - Production

Energy Wizard Reporter - Production

To display this form select : Production

RR-Prod-Choice.gif (4516 bytes)

Production Data includes monthly totals and is analysed annually.

The Production Data can be entered manually, also Power Bill data to be used as Production Data can be sent to the Production Database by clicking on the "Prod'n" button on the Power Bill form.

The Production form includes:

  • Graph button:
  • Grid button:
  • Start Graph on Month: Set the start of your financial year.

Wizard Help


Reporter - Store Data

Energy Wizard Reporter - Store Data

To display this form select : Store Data

Generally the store data is collected by the Energy Wizard Monitor program and is saved to an Energy Wizard store file. The Energy Wizard stroe files have an extension of ".mag" and are binary encoded files.

The Energy Wizard Monitor sums the data for a period used by an Energy Wizard monitoring tag into the store file.

This data can then be displayed in various formats for further analysis.

RR-Data-Choice.gif (5681 bytes)

From this form select:

  • Calendar Graph
  • Graph
  • Grid

Wizard Help


Reporter - Store Data - Calendar Graph

Energy Wizard Reporter - Calendar Graph

To display this form select : Store Data\Calendar Graph

RR-Data-Cal.gif (16957 bytes)

The Calendar Graph creates a thumb-nail sketch for each day's data trend.

Simply select the Cost Center or Tag required.

It is also possible to show a "Target" or reference line. The Target must be set up in the Energy Wizard Reporter and is quite independant to the target used by the Energy Wizard Controller.

For a quick overview of energy consumption versus tarriff profile enable the "Show Tariff Overlay" option. This can be very useful for identifying if certain loads should be moved to different periods of the day.

Wizard Help


Reporter - Store Data - Graph

Energy Wizard Reporter - Graph

To display this form select : Store Data\Graph

The Store Data Graph is a very flexible graphing tool for specific data over specific periods of the month.

The graph below shows the typical trend for a week day, a week-end day and both week and week-end days.

RR-Comp-Graph.gif (7896 bytes)

To see other options click on the "Graph Options" button and the following form will appear.

RR-Data-GrSet.gif (14636 bytes)

The above form allows for many graphing options:

Graph Data - Select Line Data

  • Select Line Data: In this column select the Cost Centers, Tags, Target or Supplier Tariffs that you wish to graph. Set all other rows to "None".
  • Start Day: This column is only used if "Graph for 24 hour overlays" is selected. If it is then select the required start day for each row.
  • For: In this column select either Energy data or Cost ($) data.

Graph Data - Select Graph Options

  • Select the Statistics, Grid Style, Graph Type and Graph Style required.

Graph Time

  • Set the start and stop time for the graph.

Graph Time Period

  • Graph for 24 hour overlay: Puts the graph into 24 hour overlay mode where day to day energy consumptions can be compared.
  • Graph for fixed time period: Allows to set the graph start and stop time and disables the graph overlay function.

X-Axis

  • Mark the X-Axis every: Set how many marks are to be drawn on the x-axis.
  • Label the X-Axis every: Set how many Labels are to be drawn on the x-axis.

Cost Multiplier

  • Multiply all cost data by: Set the value by which to multiply the cost data. This is for comparing costed energy trendes to non costed energy trends.

As an example, to get a single graph that plots the trend of the Main Cost Center for the whole month but with statistics enabled to display the standard deviation and the mean, try the following setup.

RR-Data-GrSet1.jpg (61081 bytes)

Wizard Help


Reporter - Store Data - Grid

Energy Wizard Reporter - Grid

To display this form select : Store Data\Grid

RR-Data-Grid.gif (12567 bytes)

The master grid allows the viewing, editing and exporting of the Energy Wizard store data.

The data is displayed in a grid or spread sheet style format, one day's data being displayed at a time.

The "OK" column is the flag for "Outage" data. If it is set to "Yes" then the data is considered to be good and is not Outage data. If it is set to "No" then the data is considered to be not good and so is considered to be Outage data which would normally be replaced by the respective composite data in a costing calculation.

Each subsequent column holds the store data for an Energy Wizard Tag.

The Master Grid form includes the following:

  • "Select Day" combo box: Select the day as required
  • "Print" button and Tag Select combo box: To print all of the store data for a Tag for the month, first select the required tag and then click on the "Print" button.
  • "Adjust" button: This will permanently replace all Outage data with the respective Composite data.
  • "CSV" button: This will export all of the store data to a *.csv file for analysis in another program such as Excel.
  • "Save" button: If making changes to the store data, click on the Save button to permanently save the changes.

Wizard Help


Reporter - Suppliers

Energy Wizard Reporter - Suppliers

When selecting Suppliers the following form will appear giving a choice between:

  • Setting the Active Supplier and
  • The Supplier Setup

RR-Sup-Choice.gif (4102 bytes)

Wizard Help


Reporter - Suppliers - Details

Energy Wizard Reporter - Suppliers - Details

To display this form select : Suppliers\Setup\Setup

The Reporter Suppliers Setup is similar to the Monitor Suppliers Setup and includes the following:

TOU Slot Charges: refer to the Monitor Supplier Setup for TOU Slot Charges

RR-Sup-Peak.gif (8384 bytes)

Peak Charges: refer to the Monitor Supplier Setup for Peak Charges

RR-Sup-Other.gif (8776 bytes)

Other Charges: refer to the Monitor Supplier Setup for Other Charges

Wizard Help


Reporter - Suppliers - Set Active

Energy Wizard Reporter - Suppliers - Set the Active Supplier

To display this form select : Suppliers\SetActive

RR-Sup-SetActive.gif (6158 bytes)

The "Set Active Supplier" facility is provided as a means to perform cost comparisons between different Suppliers using the same monthly store data.

The Suppliers are listed in the above form according to their Supplier number, Energy Type and the Supplier name.

In the third column, "Set Active Supplier", select the new supplier as required for the cost comparisons.

Wizard Help


Reporter - Suppliers - Setup

Energy Wizard Reporter - Suppliers - Setup

To display this form select : Suppliers\Setup

RR-Sup-Setup.gif (6517 bytes)

Please note that Supplier Setup in the Energy Wizard Reporter will only affect the currently open Energy Wizard store file.

Changes in these settings will not affect the Monitor Setup nor the current or future Energy Wizard store files.

The current and future Energy Wizard store files will be updated by the Energy Wizard Monitor using the settings in the *.mtg file.

To effect changes in the current and future Energy Wizard store files it is necessary to edit the Energy Wizard Monitor Setup.

However, once an Energy Wizard store file has been completed, its settings may be edited as required.

In this form the Supplier Name and the Energy Type can be changed.

To edit the Supplier Setup Details click on the "Setup" button.

Wizard Help


Reporter - Tag Setup

Energy Wizard Setup - Reporter Tag Setup

To display this form select the menu Tools\Tags.

RR-Tags-Setup.gif (4500 bytes)

The Reporter Tag Setup form allows the existing Tags in the Energy Wizard store file to be edited only.

Because these tags are an integral part of the store file they can not be deleted or created.

So this form only allows the Tags names, supplier and enabled status to be edited.

Wizard Help


Reporter - Target Setup

Energy Wizard Setup - Reporter Week Day Setup

To display this form select the menu Tools\Target.

RR-Target-Setup.gif (16522 bytes)

The Target Setup form enables the Targets to be set for both week days and week end days.

This Target is only used in the Reporter and is not to be confused with the Controller Target. The two are completely separate.

To edit the Target that will appear in some of the Reporter Graph Reports, first select the "Week Day Targets" or "Week End Targets" and then chenge the value in the Target Grid.

Wizard Help


Reporter - Week Day Setup

Energy Wizard Setup - Reporter Week Day Setup

To display this form select the menu Tools\Week Days.

RR-WeekDay-Setup.gif (9635 bytes)

The Week Day Setup form enables the individual week days of the month to be set to either a week day or a week end day.

To do this, simply click on the day to change its state.

When finished, click on the close button.

Wizard Help